package com.ruoyi.project.sems.domain;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 月度检查对象 t_report_month
 *
 * @author ruoyi
 * @date 2021-08-31
 */
public class TReportMonth extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一标识ID */
    private Long id;

    /** 装置名称 */
    @Excel(name = "装置名称")
    private String plantCode;

    /** 审核状态 */
    @Excel(name = "审核状态")
    private Long approveStatus;

    /** 检查年月 */
    @JsonFormat(pattern = "yyyy-MM" , timezone = "GMT+8")
    @Excel(name = "检查年月", width = 30, dateFormat = "yyyy-MM")
    private Date checkMonth;

    /** 容器单元 */
    @Excel(name = "容器单元")
    private String rqUnit;

    /** 容器本体 */
    @Excel(name = "容器本体")
    private String rqSelf;

    /** 安全附件 */
    @Excel(name = "安全附件")
    private String rqSafe;

    /** 安全保护装置 */
    @Excel(name = "安全保护装置")
    private String rqProtect;

    /** 测量调控装置，紧急切断阀 */
    @Excel(name = "测量调控装置，紧急切断阀")
    private String rqControl;

    /** 附属仪器仪表 */
    @Excel(name = "附属仪器仪表")
    private String rqIns;

    /** 有无泄漏 */
    @Excel(name = "有无泄漏")
    private String rqOut;

    /** 其它情况描述 */
    @Excel(name = "其它情况描述")
    private String rqOther;

    /** 管道区域/单元 */
    @Excel(name = "管道区域/单元")
    private String gdUnit;

    /** 管道宏观 */
    @Excel(name = "管道宏观")
    private String gdSelf;

    /** 安全附件 */
    @Excel(name = "安全附件")
    private String gdSafe;

    /** 测量调控装置 */
    @Excel(name = "测量调控装置")
    private String gdControl;

    /** 附属仪器仪表 */
    @Excel(name = "附属仪器仪表")
    private String gdIns;

    /** 有无泄漏 */
    @Excel(name = "有无泄漏")
    private String gdOut;

    /** 其它情况描述 */
    @Excel(name = "其它情况描述")
    private String gdOther;

    /** 承压部件 */
    @Excel(name = "承压部件")
    private String glPressure;

    /** 安全附件 */
    @Excel(name = "安全附件")
    private String glSafe;

    /** 仪表及联锁保护装置 */
    @Excel(name = "仪表及联锁保护装置")
    private String glIns;

    /** 燃烧器 */
    @Excel(name = "燃烧器")
    private String glBurn;

    /** 人员证书 */
    @Excel(name = "人员证书")
    private String glCer;

    /** 水质化验 */
    @Excel(name = "水质化验")
    private String glWater;

    /** 其它情况描述 */
    @Excel(name = "其它情况描述")
    private String glOther;

    /** 最新申请时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "最新申请时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date approveTime;

    /** 生成时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "生成时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date buildDate;

    /** 审批bussinessykey */
    @Excel(name = "审批bussinessykey")
    private String approveId;

    /** 容器备注 */
    @Excel(name = "容器备注")
    private String rqRemark;

    /** 管道备注 */
    @Excel(name = "管道备注")
    private String gdRemark;

    /** 锅炉备注 */
    @Excel(name = "锅炉备注")
    private String glRemark;

    /** 锅炉区域/单元 */
    @Excel(name = "锅炉区域/单元")
    private String glUnit;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 部门编号 */
    private Long deptId;

    /** 部门名称 */
    @Excel(name = "部门名称")
    @TableField(exist = false)
    private String deptName;

    /** 状态 1 ：正常 ；0：删除 */
    private Long delFlag;

    /** 创建人 */
    private Long createrCode;

    /** 创建时间 */
    private Date createdate;

    /** 修改人 */
    private Long updaterCode;

    /** 修改时间 */
    private Date updatedate;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setPlantCode(String plantCode)
    {
        this.plantCode = plantCode;
    }

    public String getPlantCode()
    {
        return plantCode;
    }
    public void setApproveStatus(Long approveStatus)
    {
        this.approveStatus = approveStatus;
    }

    public Long getApproveStatus()
    {
        return approveStatus;
    }
    public void setCheckMonth(Date checkMonth)
    {
        this.checkMonth = checkMonth;
    }

    public Date getCheckMonth()
    {
        return checkMonth;
    }
    public void setRqUnit(String rqUnit)
    {
        this.rqUnit = rqUnit;
    }

    public String getRqUnit()
    {
        return rqUnit;
    }
    public void setRqSelf(String rqSelf)
    {
        this.rqSelf = rqSelf;
    }

    public String getRqSelf()
    {
        return rqSelf;
    }
    public void setRqSafe(String rqSafe)
    {
        this.rqSafe = rqSafe;
    }

    public String getRqSafe()
    {
        return rqSafe;
    }
    public void setRqProtect(String rqProtect)
    {
        this.rqProtect = rqProtect;
    }

    public String getRqProtect()
    {
        return rqProtect;
    }
    public void setRqControl(String rqControl)
    {
        this.rqControl = rqControl;
    }

    public String getRqControl()
    {
        return rqControl;
    }
    public void setRqIns(String rqIns)
    {
        this.rqIns = rqIns;
    }

    public String getRqIns()
    {
        return rqIns;
    }
    public void setRqOut(String rqOut)
    {
        this.rqOut = rqOut;
    }

    public String getRqOut()
    {
        return rqOut;
    }
    public void setRqOther(String rqOther)
    {
        this.rqOther = rqOther;
    }

    public String getRqOther()
    {
        return rqOther;
    }
    public void setGdUnit(String gdUnit)
    {
        this.gdUnit = gdUnit;
    }

    public String getGdUnit()
    {
        return gdUnit;
    }
    public void setGdSelf(String gdSelf)
    {
        this.gdSelf = gdSelf;
    }

    public String getGdSelf()
    {
        return gdSelf;
    }
    public void setGdSafe(String gdSafe)
    {
        this.gdSafe = gdSafe;
    }

    public String getGdSafe()
    {
        return gdSafe;
    }
    public void setGdControl(String gdControl)
    {
        this.gdControl = gdControl;
    }

    public String getGdControl()
    {
        return gdControl;
    }
    public void setGdIns(String gdIns)
    {
        this.gdIns = gdIns;
    }

    public String getGdIns()
    {
        return gdIns;
    }
    public void setGdOut(String gdOut)
    {
        this.gdOut = gdOut;
    }

    public String getGdOut()
    {
        return gdOut;
    }
    public void setGdOther(String gdOther)
    {
        this.gdOther = gdOther;
    }

    public String getGdOther()
    {
        return gdOther;
    }
    public void setGlPressure(String glPressure)
    {
        this.glPressure = glPressure;
    }

    public String getGlPressure()
    {
        return glPressure;
    }
    public void setGlSafe(String glSafe)
    {
        this.glSafe = glSafe;
    }

    public String getGlSafe()
    {
        return glSafe;
    }
    public void setGlIns(String glIns)
    {
        this.glIns = glIns;
    }

    public String getGlIns()
    {
        return glIns;
    }
    public void setGlBurn(String glBurn)
    {
        this.glBurn = glBurn;
    }

    public String getGlBurn()
    {
        return glBurn;
    }
    public void setGlCer(String glCer)
    {
        this.glCer = glCer;
    }

    public String getGlCer()
    {
        return glCer;
    }
    public void setGlWater(String glWater)
    {
        this.glWater = glWater;
    }

    public String getGlWater()
    {
        return glWater;
    }
    public void setGlOther(String glOther)
    {
        this.glOther = glOther;
    }

    public String getGlOther()
    {
        return glOther;
    }
    public void setApproveTime(Date approveTime)
    {
        this.approveTime = approveTime;
    }

    public Date getApproveTime()
    {
        return approveTime;
    }
    public void setBuildDate(Date buildDate)
    {
        this.buildDate = buildDate;
    }

    public Date getBuildDate()
    {
        return buildDate;
    }
    public void setApproveId(String approveId)
    {
        this.approveId = approveId;
    }

    public String getApproveId()
    {
        return approveId;
    }
    public void setRqRemark(String rqRemark)
    {
        this.rqRemark = rqRemark;
    }

    public String getRqRemark()
    {
        return rqRemark;
    }
    public void setGdRemark(String gdRemark)
    {
        this.gdRemark = gdRemark;
    }

    public String getGdRemark()
    {
        return gdRemark;
    }
    public void setGlRemark(String glRemark)
    {
        this.glRemark = glRemark;
    }

    public String getGlRemark()
    {
        return glRemark;
    }
    public void setGlUnit(String glUnit)
    {
        this.glUnit = glUnit;
    }

    public String getGlUnit()
    {
        return glUnit;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(Long createrCode)
    {
        this.createrCode = createrCode;
    }

    public Long getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(Long updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public Long getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("plantCode", getPlantCode())
            .append("approveStatus", getApproveStatus())
            .append("checkMonth", getCheckMonth())
            .append("rqUnit", getRqUnit())
            .append("rqSelf", getRqSelf())
            .append("rqSafe", getRqSafe())
            .append("rqProtect", getRqProtect())
            .append("rqControl", getRqControl())
            .append("rqIns", getRqIns())
            .append("rqOut", getRqOut())
            .append("rqOther", getRqOther())
            .append("gdUnit", getGdUnit())
            .append("gdSelf", getGdSelf())
            .append("gdSafe", getGdSafe())
            .append("gdControl", getGdControl())
            .append("gdIns", getGdIns())
            .append("gdOut", getGdOut())
            .append("gdOther", getGdOther())
            .append("glPressure", getGlPressure())
            .append("glSafe", getGlSafe())
            .append("glIns", getGlIns())
            .append("glBurn", getGlBurn())
            .append("glCer", getGlCer())
            .append("glWater", getGlWater())
            .append("glOther", getGlOther())
            .append("approveTime", getApproveTime())
            .append("buildDate", getBuildDate())
            .append("approveId", getApproveId())
            .append("rqRemark", getRqRemark())
            .append("gdRemark", getGdRemark())
            .append("glRemark", getGlRemark())
            .append("glUnit", getGlUnit())
            .append("remarks", getRemarks())
            .append("deptId", getDeptId())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .toString();
    }
}
